<template>
    <div>
        <h1>User edit</h1>
        <p>User Info Client:</p>
        <ul>
            <li>Locate: {{ $route.query.locate }}</li>
            <li>Browser: {{ $route.query.browser }}</li>
        </ul>
        <hr>
        <button 
            class="btn btn-block btn-danger" @click="show">Something</button>
        <div style="height: 700px;"></div>  
        <h3 id="react">Learn React with Sky Albert</h3>
        <div style="height: 1700px;"></div>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                status: false,
            }
        },
        methods: {
            show () {
                this.status = true;
                alert('Hello');
            }
        },
        beforeRouteLeave(to, from, next) {
            if (this.status) {
                next()
            } else {
                if (confirm('Are u sure? Any data will not save!!!')) {
                    next()
                } else {
                    next(false)
                }
            }
        }
    }
</script>

<style>

</style>